<?php

/*
 * Composer and send sms
 */
function pwa_firebase_notification_compose($form, &$form_state,$numero=''){

  $form['title'] = [
    "#type" => 'textfield',
    '#title' => t('Title'),
    '#required' => TRUE,
    "#maxlength" => 99,
  ];
  $form['pwa_firebase_phonebook'] = array(
    '#type' => 'fieldset',
    '#title' => t('Phone book'),
    '#collapsible' => TRUE,
    '#collapsed' => true,
  );
  $form['pwa_firebase_phonebook']['checkAll'] = array(
    '#type' => 'markup',
    '#markup' => '
          <div class="form-inline">
              <div class="form-group">
                  <input type="checkbox" id="checkAll" class="checkAll"/> <label for="checkAll">'.t('Check All').'</label>
               </div>
               <div class="form-group">
                  <input type="search" id="phonebook_search" class="phonebook_search form-control" placeholder="'.t('search').'"/>
               </div>
           </div>',
  );
  $form['#attached']['js'][] = array(
    'type' => 'file',
    'data' => drupal_get_path('module','pwa_firebase') . '/js/compose.js',
  );
  $listUsers = db_select('users', 'u')
    ->fields('u', array('uid', 'name'))
    ->condition('status',1)
    ->execute()
    ->fetchAllKeyed(0, 1);
  $form['pwa_firebase_phonebook']["user"] = array(
    '#type' => 'checkboxes',
    '#title' => t('Users'),
    '#options' => $listUsers
  );
  $form['#tree'] = true;
  $form['message'] = [
    '#type' => 'textfield',
    '#title' => t('Message'),
    '#required' => TRUE,
    "#maxlength" => 254,
  ];
  $form['url'] = [
    '#type' => 'textfield',
    '#title' => t('url'),
    "#maxlength" => 255,
  ];

  $form['pwa_firebase_submit'] = array(
    '#type' => 'submit',
    '#value' => t('Send notification'),
    '#submit' => array('pwa_firebase_send_notification'),
  );
  return $form;
}

function pwa_firebase_send_notification($form, &$form_state){
  $values = $form_state['values'];
  $users = array_filter($form_state["values"]["pwa_firebase_phonebook"]["user"]);
  if(empty($users)){
    sendMessageToAllUsers($values['title'], $values['message'], $values['url']);
    drupal_set_message(t("Notification sent to all users"));
  }else{
    foreach ($users as $user){
      sendMessageToUser($user,$values['title'], $values['message'], $values['url']);
    }
    drupal_set_message(t("Notification sent to selected users"));
  }
}
